Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.emp.mtp.jcics
Class ByteAreaElement

    java.lang.Object
      |
      +--com.sun.emp.mtp.jcics.ByteAreaElement

public class ByteAreaElement
extends java.lang.Object

Field Summary
`boolean` | `bDebug`

Constructor Summary
`ByteAreaElement(java.lang.String n, java.lang.String t, int s, java.lang.String v, int d)`

Method Summary
`byte[]` | `getByteValue(byte[] bByteArea)`
`int` | `getDisplacement()`
`int` | `getIValue(byte[] bByteArea)`
`int` | `getLength()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue(byte[] bByteArea)`
`void` | `printMsg(java.lang.String s)`
`void` | `setByteValue(byte[] bByteArea, byte[] b)`
`void` | `setToDefaultValue(byte[] bByteArea)`
`byte[]` | `setValue(byte[] bByteArea, byte[] b)`
`int` | `setValue(byte[] bByteArea, int i)`
`java.lang.String` | `setValue(byte[] bByteArea, java.lang.String v)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(byte[] bByteArea)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bDebug

    public boolean bDebug

Constructor Detail

### ByteAreaElement

    public ByteAreaElement(java.lang.String n,
                           java.lang.String t,
                           int s,
                           java.lang.String v,
                           int d)

Method Detail

### printMsg

    public void printMsg(java.lang.String s)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### toString

    public java.lang.String toString(byte[] bByteArea)

### getLength

    public int getLength()

### setToDefaultValue

    public void setToDefaultValue(byte[] bByteArea)

### getValue

    public java.lang.String getValue(byte[] bByteArea)

### getIValue

    public int getIValue(byte[] bByteArea)

### getByteValue

    public byte[] getByteValue(byte[] bByteArea)

### getDisplacement

    public int getDisplacement()

### getType

    public java.lang.String getType()

### setByteValue

    public void setByteValue(byte[] bByteArea,
                             byte[] b)

### setValue

    public byte[] setValue(byte[] bByteArea,
                           byte[] b)

### setValue

    public int setValue(byte[] bByteArea,
                        int i)

### setValue

    public java.lang.String setValue(byte[] bByteArea,
                                     java.lang.String v)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.